# BeanZliB License (Revised) - 2025

### Copyright
Copyright (c) 2023 Nathaniel Smith

### License

Permission is hereby granted, free of charge, to any person or entity obtaining a copy of this software and associated documentation files (the "Software"), to deal in the Software without restriction, including but not limited to the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit others to whom the Software is provided to do so, subject to the following conditions:

- **Redistribution and Modifications**:  
    - Redistributions of the source code must retain the above copyright notice, this list of conditions, and the following disclaimers.  
    - Modifications and derived works of the Software must be released under this same **BeanZliB License**, or a **compatible open-source license**.  
    - You must ensure that **modified versions of the Software** remain open-source and are made publicly available. Any modification or derivative works must be made available under the same or a compatible open-source license, including but not limited to GPLv2 & v3, Apache 2.0, or MPL.

- **Forking and Derivatives**:  
    - If you create a derivative work of the Software (a "fork"), the resulting work must also be made publicly available under this license or a compatible open-source license.  
    - You are **not permitted** to create a proprietary derivative of this Software; the modifications must remain open-source.

- **Usage in Proprietary Software**:  
    - You **may not** use the Software in proprietary software, nor may you distribute modified versions of this Software under a proprietary license.  
    - If you redistribute the Software or any modified version of it, you must provide access to the **source code** of your modifications.  
    - Any modifications or derivative works must remain open-source and must be distributed under this license or a compatible open-source license.

- **Crediting the Author**:  
    - If you distribute or make any modifications to the Software, you must provide appropriate credit to the original author (Nathaniel Smith), including a reference to the original project and this license.  
    - You may not use the name of the author or the name of the Software for promotional purposes without explicit permission.

- **No Warranty**:  
    The Software is provided "as is", without warranty of any kind, express or implied, including but not limited to the warranties of merchantability, fitness for a particular purpose, and noninfringement. In no event shall the authors or copyright holders be liable for any claim, damages, or other liability, whether in an action of contract, tort, or otherwise, arising from, out of, or in connection with the Software or the use or other dealings in the Software.

- **License Compatibility**:  
    This license is intended to be **compatible with open-source licenses** that require derivative works to remain open-source, such as **GPLv2 & v3**, **Apache 2.0**, and **MPL**. You may combine this Software with code licensed under one of these licenses, provided that the terms of this license are followed for any **derivative works** based on this Software.
